/*============================================================================*/
/*!	\file		netDef.h
	\brief		lbg[Npwb_	
	\author		kuni
	\date		2010/07/31
	\version	1.01
//*==========================================================================*/
#ifndef _NETDEF_H_
#define _NETDEF_H_

/* GfBA	*/
#define ENDIAN_LITTLE	0
#define	ENDIAN_BIG		1

/* CPŨGfBA^Cv	*/
#define	ENDIAN_TYPE		ENDIAN_BIG


#define ENABLE		1		/* 	*/
#define	DISABLE		0		/* ֎~	*/


#define FALSE  	0
#define TRUE   	1
#define OFF   	0
#define ON    	1


/* ^` */
typedef unsigned char   byte;
typedef unsigned short	word;
typedef unsigned long   lword;
typedef	unsigned long	dword;
typedef	unsigned char	bool;
typedef	unsigned char	swbool;


/*----------------------------------------------------------------------------*/
//	struct
/*----------------------------------------------------------------------------*/

union	US_T{		/* PUW~Q */
	word	data;
#if (ENDIAN_TYPE == ENDIAN_BIG)
	struct{		/* rbOGfBAp */
		byte	hi;
		byte	lo;
	} bytes;
#else	
	struct {	/* gGfBAp */
		byte	lo;
		byte	hi;
	} bytes;
#endif
};
typedef union US_T	us_t;

union	UL_T {		/* RQW~S */
	dword	data;
#if (ENDIAN_TYPE == ENDIAN_BIG)
	struct{		/* rbOGfBAp */
		byte	hh;
		byte	hl;
		byte	lh;
		byte	ll;
	} bytes;
#else	
	struct {	/* gGfBAp */
		byte	ll;
		byte	lh;
		byte	hl;
		byte	hh;
	} bytes;
#endif
};
typedef union UL_T	ul_t;


#endif //_NETDEF_H_
